application.instance=ON_PREMIS
application.mode.debug=false
application.version=5.1.44.326
application.client.min-version=5.0.0.0
application.debug.email=lab.neurotechnology@test.com
application.type=BIO_ATTENDANCE
application.nodemodules=

# Enterprise version load balancer configurations
lb.node=worker1
lb.port=8009
# Enable redis for session replication
#spring.redis.host=localhost
#spring.redis.port=6380
server.port=9999
server.ssl.enabled=true
server.compression.enabled=true
server.compression.mime-types=application/json,application/xml,text/html,text/xml,text/plain,text/css,text/javascript,application/javascript
server.error.whitelabel.enabled=false
# ===============================
# = MATCHER CONFIG
# ===============================
# If biometric cluster is enabled in enterprise version, host should be 'localhost'. This will be used to initialize NServer
nmatcher.host=
nmatcher.port=24932
nmatcher.clientport=25452
# ===============================
# = KAFKA CONFIG
# ===============================
# If biometric cluster is enabled in enterprise version, this should be enabled to start kafka service
kafka.enable=false
kafka.bootstrap-servers=localhost:9092
kafka.topic.request-topic-enroll=enroll-topic
kafka.topic.request-topic-matching=matching-topic
kafka.topic.response-topic=response-topic
kafka.topic.request-topic-system=system-topic
# ===============================
# = DATA SOURCE
# ===============================
#spring.datasource.url=jdbc:sqlite:file:ncheck.db?limit_compound_select=0
#spring.datasource.url=jdbc:mysql://localhost:3306/ncheck_mig?useUnicode=yes&characterEncoding=UTF-8&serverTimezone=UTC&useLegacyDatetimeCode=false
spring.datasource.hikari.connection-timeout=5000
spring.datasource.hikari.validation-timeout=30000
# ===============================
# = JPA / HIBERNATE
# ===============================
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.hibernate.use-new-id-generator-mappings=false
spring.jpa.open-in-view=false
## ===============================
## = Map Configuration
## ===============================
map.type=INT
map.apikey=AIzaSyASM0zdf1BbOQoqnZgk88plSvixYBgnUps
## ===============================
## = AWS Configuration
## ===============================
aws.accesskey=
aws.secretkey=
aws.s3=
## ===============================
## = Mail Configuration
## ===============================
#For testing SMTP locally docker run -d -p 1025:1025 -p 8025:8025 mailhog/mailhog
spring.mail.host=localhost
spring.mail.port=1025
spring.mail.username=smtp_username
spring.mail.password=smtp_password
ncheck.mailserver.ssl2=false
# ===============================
# = PAYPAL CONFIG
# ===============================
paypal.clientid=
paypal.clientsecret=
paypal.authtoken=
paypal.redirecturl=
paypal.notifyurl=https://www.sandbox.paypal.com/cgi-bin/webscr?cmd=_notify-synch&tx=
#mode can be sandbox or live
paypal.mode=sandbox
# ===============================
# = ALIPAY CONFIG
# ===============================
alipay.publickey=
alipay.privatekey=
alipay.redirecturl=
alipay.gatewayurl=
alipay.appid=
alipay.notifyurl=
# ===============================
# = SOCIAL LOGIN CONFIG
# ===============================
social.google.client-id=
social.google.client-secret=
social.quickbook.client-id=
social.quickbook.client-secret=
social.quickbook.user_profile=https://accounts.platform.intuit.com/v1/openid_connect/userinfo
social.quickbook.api_base_url=https://quickbooks.api.intuit.com
ncheck.port="8443"
ncheck.keystore=
ncheck.keystore.password='"
ncheck.keystore.alias=""
ncheck.license=""
ncheck.database.backupfilename=
ncheck.database.backupfilepassword=
# Multipart
spring.servlet.multipart.enabled=true
spring.servlet.multipart.max-file-size=15MB
spring.servlet.multipart.max-request-size=15MB
spring.servlet.multipart.location=${user.dir}
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.mvc.async.request-timeout=30000
spring.resources.chain.enabled=true
spring.resources.chain.cache=true
spring.resources.chain.strategy.content.enabled=true
spring.resources.chain.strategy.content.paths=/css/**, /js/**, /fonts/**, /img/**, /app/css/**, /app/js/**, /onpremise/**, /cloud/**
# ===============================
# = LOGGING CONFIG
# ===============================
#spring.jpa.show-sql=true
#spring.jpa.properties.hibernate.generate_statistics=true
#logging.level.org.hibernate.stat=DEBUG
#logging.level.org.hibernate.SQLQuery=debug
#logging.level.org.hibernate.type=trace